Subject: bug#67832: Emacs brew URL Has Expired SSL

From: Stefan Kangas <[email-masked]>
Date: Thu, 14 Dec 2023 16:58:39 -0800

tags 67832 + notabug
thanks

Jeremy Walker <[email-masked]> writes:

> I am trying to install emacs on a Macintosh.  As per the instructions at https://www.gnu.org/software/emacs/download.html I ran:
>
>     $ brew install --cask emacs
>
> However, because the SSL cert is expired, instead of installing emacs I see:
>
>
> ==> Downloading https://emacsformacosx.com/emacs-builds/Emacs-29.1-1-universal.d

AFAIK, we don't maintain emacsfomacosx.com, so I'm tagging this notabug
(meaning that we do not consider this a bug in Emacs itself).

Does anyone know who does administer that server so that we can forward
this information to them?

>
> curl: (60) SSL certificate problem: certificate has expired
>
> More details here: https://curl.se/docs/sslcerts.html
>
>
>
> curl failed to verify the legitimacy of the server and therefore could not
>
> establish a secure connection to it. To learn more about this situation and
>
> how to fix it, please visit the web page mentioned above.
>
>
>
> Error: Download failed on Cask 'emacs' with message: Download failed: https://emacsformacosx.com/emacs-builds/Emacs-29.1-1-universal.dmg
>
> Please update your certificate to have a non-expired date so that Mac users can install emacs.  Thanks!
>
> Jeremy